<?php

namespace gchart;

class gConcentricPieChart extends gPieChart
{
    function __construct($width = 350, $height = 200)
    {
        $this->setProperty('cht', 'pc');
        $this->setDimensions($width, $height);
    }
    
    public function getApplicableLabels($labels)
    {
        return array_splice($labels, 0, count($this->values, COUNT_RECURSIVE));
    }
    
    public function addLegend($labels)
    {
        $this->setProperty('chdl', urlencode($this->encodeData($this->getApplicableLabels($labels),"|")), true);
    }
}?>
